---
id: dimension-value-read
title: "Read a dimension value"
description: "Read a dimension value by its ID."
sidebar_label: "Read a dimension value"
hide_title: true
hide_table_of_contents: true
api: eJy1Vclu5DYQ/RWiTjMA0+0tGwEfDDgJnMMcPE5yaDQMtlQtcUYiabJoT0fgvwclyeoVM0aQ9KUlsZb3HlmPHZQYi2A8GWdBwT3qUmhRmhZtNM6KZ90kFKuNMBTF3e0MJDiPQXP8XQkKptDHPlQF1CVIIF1FUAu4nSr9ycuwlBCxSMHQBtSigxXqgOEmUQ1qscxLCV4H3SJhiH2AYVheUw0SrG5xt+Udd4pFja0G1QFtPC8bS1hhgCwh4FMyAUtQFBLKA7IPNYq7W+HWgmrccmaO+EW3vkFQF5dX32d5Eob5X7oPiu9hOL+4vGJlAkbvbMTI7S7OzvjvuOa0PeJFRxFTUWCM69RwycJZQkucqL1vTNEHzj9Fzu6OybjVJywIJPjAZckMvU15gvAhvxsRN5Gw/e7FlCiSNU+pJxzQB4xoydiqp35M+Oeffvwhv+o8NYoUjK2O+jBnjnyLkvCRdMVFsoRImlJ8W/0hduhgogjJkmlRFM6uTZVGuU81tqnlKdAFmWcECcaOj8tdVOM3BtWk6tuQbsSwcKzlV8nHLXkb7LfbfLj/IN5pEi6IFTbu5b14qTHgqUaiP04Y9xu6UGlr/u7luT5XuihcsnR9oXi/otcFXl+qnYN4fQU5SyBDffoo8+OezI8HhgOZfxJapNqxIVXYH1geVQXzKXre7dhGnve5886UmYcYw/Or36TQgIKayEc1n2tvZjY1jW80rV1oZ4VrIe+Y2EcemWEqdq1skpYLvdoEvw9BIMeHX11oNYGC3/966Lkbu3aczniGXTifnc3OYKvK5KiRN9K7SK3uN3O0pdMWfri53dYL3mT6Ix3CLzT3jTaWm/dadaPWi60vgwS1b9KvGJQp+ejXLhJndN1KR/wjNDnz56eEga+FJScEo1dMeNFBaSI/l6DWuomHTrpL5d396LnvxVfc/SSZ8aO2mwmvApDwGTcHdw7fB/8lpO2s/gtgpoS8zBJq1CWGXq5h4aYo0NNOypHj8zmexua3Xx5Agt4/vQenta9+Ek7XDREP7jPanCd0xO8MMOd/ANex5BI=
sidebar_class_name: "get api-method"
info_path: docs/api/dimensions
custom_edit_url: null
---

import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint";
import ParamsDetails from "@theme/ParamsDetails";
import RequestSchema from "@theme/RequestSchema";
import StatusCodes from "@theme/StatusCodes";
import OperationTabs from "@theme/OperationTabs";
import TabItem from "@theme/TabItem";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Read a dimension value"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/dimension/{dimensionId}/value/{id}"}
  context={"endpoint"}
>
  
</MethodEndpoint>



Read a dimension value by its ID.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"dimensionId","schema":{"type":"integer"},"required":true,"description":"The ID of the dimension.","example":2345},{"in":"path","name":"id","schema":{"type":"integer"},"required":true,"description":"The ID of the dimension value.","example":1234}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"The operation was successful.","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"integer","description":"A system-wide unique ID representing the value.","example":9876},"name":{"type":"string","description":"The name of the dimension value.","example":"Staging"},"status":{"type":"string","description":"The status of this runtime configuration dimension value.","enum":["active","inactive"],"example":"active"},"slug":{"type":"string","description":"A string representing the dimension value.","example":"staging"},"nrn":{"type":"string","description":"NRN (at or below) where the dimension value applies.","example":"organization=1:account=2:namespace=3:application=4"}},"title":"runtime_configuration_dimension_value"}}}}}}
>
  
</StatusCodes>


      